
Redmine - Defect #7515

Roadmap Version Time Tracking Error

2011-02-01 23:15 - Mike Gilligan

Status: Closed Start date: 2011-02-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.0

Description

When viewing parent tasks (with subtasks), the estimated & spent hours reflected are those of the subtasks, which is what I would

expect.

However, when I attach the parent task to a version (and only the parent task), the estimated & spent hours are 0, though the

subtasks have time estimates and spent time.

For consistency, I believe the estimated & spent hours for the version, should reflect the totals for all tasks/subtasks.

Related issues:

Is duplicate of Redmine - Defect #6422: timetracking: subtasks time is not ad... Closed 2010-09-17

History

#1 - 2011-02-01 23:46 - Mike Gilligan

Related to #6422

#2 - 2011-04-18 11:35 - Anton Nepomnyaschih

+1 :)

It would be cool, if estimated time for version calculated as sum of all tickets that are assigned to the version. But without duplicated time (if some

subtasks where summed to a parent task). In such case it worked in all 3 ways:

1. if version would be assigned to all parent tasks and their subtasks

2. if version would be assigned to only parent tasks, without their subtasks

3. if version would be assigned to only subtasks, without their parent tasks ;)

#3 - 2011-04-18 11:53 - Etienne Massip

Isn't it a duplicate of #6422 ?

#4 - 2011-04-18 11:56 - Anton Nepomnyaschih

I think, it is =) I'll copy my comment with desirable algorithm there, if you don't mind =)

#5 - 2011-04-18 12:06 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Thanks, closed as duplicate of #6422.
